function OnSceneEnter()
-- rozpoczecie dialogu przy pierwszym wejsciu
	if s.dlg_s01_13==0 then
		Sleep(500)
		Dialog("dlg_s01_13")
		GoTo("s01_0405_canal")
	elseif s.dlg_s01_13==1 and s.dlg_s01_20==0 and (s.i_letter==0 or s.i_photo_complete==0) and s.s01_0500_steeringroom_visit~=0 then
		Sleep(500)
		Dialog("dlg_s01_20")
		Sound("snd_go_s01_0405_canal")
		GoTo("s01_0405_canal")
	elseif s.dlg_s01_21==0 and s.i_letter==1 and s.i_photo_complete==1 then
		Sleep(500)
		Dialog("dlg_s01_21")
		Sound("snd_go_s01_0405_canal")
		GoTo("s01_0405_canal")
	end
end
